/*
 * $Id: Entity_print.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::operator<<"
  std::ostream& operator<< (std::ostream& output_stream,
			    morpheo::behavioural::Entity & x)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
#ifdef POSITION
    output_stream << x._name + "\t"+x._type+"\t"+toString(x._schema) << std::endl;
    output_stream << x.get_comment()    << std::endl;
#else
    output_stream << x._name + "\t"+x._type<< std::endl;
#endif
    output_stream << x.get_interfaces() << std::endl;

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return output_stream;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
